# DataExchange
TKIGES
IGESGraph

# IGESGraph_ToolHighLight Class Reference

Tool to work on a HighLight. Called by various Modules
(ReadWriteModule, GeneralModule, SpecificModule)
.

`#include <IGESGraph_ToolHighLight.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESGraph_ToolHighLight ()
| Returns a ToolHighLight, ready to work .
Standard_EXPORT void | ReadOwnParams (const Handle(IGESGraph_HighLight)&ent, const Handle(IGESData_IGESReaderData)&IR, IGESData_ParamReader &PR) const
| Reads own parameters from file. <pr> gives access to them, <ir> detains parameter types and values .
Standard_EXPORT void | WriteOwnParams (const Handle(IGESGraph_HighLight)&ent, IGESData_IGESWriter &IW) const
| Writes own parameters to IGESWriter .
Standard_EXPORT void | OwnShared (const Handle(IGESGraph_HighLight)&ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by a HighLight <ent>, from its specific (own) parameters .
Standard_EXPORT Standard_Boolean | OwnCorrect (const Handle(IGESGraph_HighLight)&ent) const
| Sets automatic unambiguous Correction on a HighLight (NbPropertyValues forced to 1) .
Standard_EXPORT IGESData_DirChecker | DirChecker (const Handle(IGESGraph_HighLight)&ent) const
| Returns specific DirChecker .
Standard_EXPORT void | OwnCheck (const Handle(IGESGraph_HighLight)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const
| Performs Specific Semantic Check .
Standard_EXPORT void | OwnCopy (const Handle(IGESGraph_HighLight)&entfrom, const Handle(IGESGraph_HighLight)&entto, Interface_CopyTool &TC) const
| Copies Specific Parameters .
Standard_EXPORT void | OwnDump (const Handle(IGESGraph_HighLight)&ent, const IGESData_IGESDumper &dumper, const Handle(Message_Messenger)&S, const Standard_Integer own) const
| Dump of Specific Parameters .

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_ToolHighLight::IGESGraph_ToolHighLight | ( |  | ) |

## Member Function Documentation

Standard_EXPORT IGESData_DirChecker IGESGraph_ToolHighLight::DirChecker | ( | const Handle(IGESGraph_HighLight)& | ent | ) | const

void IGESGraph_ToolHighLight::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESGraph_ToolHighLight::operator new | ( | size_t | size | ) | `[inline]`

void* IGESGraph_ToolHighLight::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void IGESGraph_ToolHighLight::OwnCheck | ( | const Handle(IGESGraph_HighLight)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const

Standard_EXPORT void IGESGraph_ToolHighLight::OwnCopy | ( | const Handle(IGESGraph_HighLight)& | entfrom,
|  | const Handle(IGESGraph_HighLight)& | entto,
|  | Interface_CopyTool & | TC
| ) | const

Standard_EXPORT Standard_Boolean IGESGraph_ToolHighLight::OwnCorrect | ( | const Handle(IGESGraph_HighLight)& | ent | ) | const

Standard_EXPORT void IGESGraph_ToolHighLight::OwnDump | ( | const Handle(IGESGraph_HighLight)& | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | own
| ) | const

Standard_EXPORT void IGESGraph_ToolHighLight::OwnShared | ( | const Handle(IGESGraph_HighLight)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void IGESGraph_ToolHighLight::ReadOwnParams | ( | const Handle(IGESGraph_HighLight)& | ent,
|  | const Handle(IGESData_IGESReaderData)& | IR,
|  | IGESData_ParamReader & | PR
| ) | const

Standard_EXPORT void IGESGraph_ToolHighLight::WriteOwnParams | ( | const Handle(IGESGraph_HighLight)& | ent,
|  | IGESData_IGESWriter & | IW
| ) | const

The documentation for this class was generated from the following file:

- IGESGraph_ToolHighLight.hxx